/***
 * Neuroph  http://neuroph.sourceforge.net
 * Copyright by Neuroph Project (C) 2008 
 *
 * This file is part of Neuroph framework.
 *
 * Neuroph is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Neuroph is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Neuroph. If not, see <http://www.gnu.org/licenses/>.
 */
package org.neuroph.contrib.tutorials.timeseries;

/**
 * Very simple class which just wraps up the generation of a sine wave at one degree steps.
 * Just call getNextSample each time you need a new sample. Class internally tracks the angle.
 *
 * @author Laura Ellen Carter-Greaves
 */

public class GenerateSineWave {

	private double frequency=1;
	private double amplitude=1;
	private double angle=0;
	private static double oneDegree=Math.PI/180;
	
	GenerateSineWave(double frequency, double amplitude){
		this.frequency=frequency;
		this.amplitude=amplitude;
	}
	
	public double getNextSample(){
		angle+=oneDegree;
		return Math.sin(frequency*angle)*amplitude;
	}
}
