/***
 * Neuroph  http://neuroph.sourceforge.net
 * Copyright by Neuroph Project (C) 2008 
 *
 * This file is part of Neuroph framework.
 *
 * Neuroph is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Neuroph is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Neuroph. If not, see <http://www.gnu.org/licenses/>.
 */
package org.neuroph.contrib.tutorials.timeseries;

import java.io.IOException;

/**
 * Very simple class which just wraps up the generation of the time-series predicition training sets.
 * 
 * You can alter this to generate differing data sets. I.e. different samplig rates (frequency) and differing sizes of memory. 
 *
 * @author Laura Ellen Carter-Greaves
 */

public class GenerateTrainingSets {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		//change this directory as required for your installation...
		final String directory="C:\\java\\Neuroph_2.3\\Neuroph\\tutorial\\";
		
		try {
			GenerateSet gs=new GenerateSet(directory+"BSW15", true, 1, 5);
			gs.doIt();
			
			gs=new GenerateSet(directory+"BSW120", true, 1, 20);
			gs.doIt();
			
			gs=new GenerateSet(directory+"BSW210", true, 2, 10);
			gs.doIt();
			
			gs=new GenerateSet(directory+"BSW220", true, 2, 20);
			gs.doIt();
			
			gs=new GenerateSet(directory+"BSW55", true, 5, 5);
			gs.doIt();
			
			gs=new GenerateSet(directory+"SSW15", false, 1, 5);
			gs.doIt();
			
			gs=new GenerateSet(directory+"SSW120", false, 1, 20);
			gs.doIt();
			
			gs=new GenerateSet(directory+"SSW210", false, 2, 10);
			gs.doIt();
			
			gs=new GenerateSet(directory+"SSW540", false, 5, 40);
			gs.doIt();
			
			gs=new GenerateSet(directory+"SSW1010", false, 10, 10);
			gs.doIt();
			
		} catch (IOException e) {
			e.printStackTrace();
			System.out.println("Failed to generate all data sets.");
			System.exit(1);
		}
		
		System.out.println("Generated data sets.");
	}

}
